Skip to content

IP-MAC Binding (Template) ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIpMacBindingGeneralSettingTemplateGETGet IP-MAC binding template general setting
modifyIpMacBindingGeneralSettingTemplatePATCHModify IP-MAC binding template general setting
getGridIpMacBindingTemplateGETGet IP-MAC binding template list
createIpMacBindingTemplatePOSTCreate IP-MAC binding template
deleteIpMacBindingTemplateDELETEDelete IP-MAC binding template
modifyIpMacBindingTemplatePATCHModify IP-MAC binding template
batchDeleteIpMacBindingsTemplatePOSTBatch delete IP-MAC bindings template

getIpMacBindingGeneralSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-bind

Get IP-MAC binding template general setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getIpMacBindingGeneralSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get IP-MAC binding template general setting.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyIpMacBindingGeneralSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-bind

Modify IP-MAC binding template general setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema IPMacBindingGeneralSetting

FieldTypeRequiredDescription
enablebooleanyesEnable of the IP MAC binding general setting, If applied, fill in at least one of LAN and WAN.
lanIdsarray<string>noLANs of the IP MAC binding general setting. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
wanIdsarray<string>noWANs of the IP MAC binding general setting. WAN port ID can be obtained from 'Get internet basic info' interface.
imbPassbooleannoImbPass of the IP MAC binding general setting.
garpbooleannoGARP of the IP MAC binding general setting.
intervalintegernoInterval should be within the range of 1–10000.
json
// omada_call_operation
{
  "operationId": "modifyIpMacBindingGeneralSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IP-MAC binding template general setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

getGridIpMacBindingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds

Get IP-MAC binding template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridIpMacBindingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get IP-MAC binding template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createIpMacBindingTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds

Create IP-MAC binding template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema IPMacBinding

FieldTypeRequiredDescription
descriptionstringnoDescription should contain 1 to 64 characters.
macstringyesMAC of the IP MAC binding entity.
ipstringyesIP of the IP MAC binding entity.
statusbooleanyesStatus of the IP MAC binding entity.
interfaceTypeintegeryesInterface type should be a value as follows: 0: WAN; 1: LAN interface.
interfaceIdstringyesInterface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
exportToDhcpReservationbooleannoWhether to export to the DhcpReservation table. This subsection is deprecated.
supportExportbooleannoWhether could export to the DhcpReservation table. This subsection is deprecated.
enableExportToDhcpReservationbooleannoWhether to enable export to the DhcpReservation table.
json
// omada_call_operation
{
  "operationId": "createIpMacBindingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create IP-MAC binding template.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteIpMacBindingTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds/{bindId}

Delete IP-MAC binding template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
bindIdpathstringyesIP MAC binding template ID
json
// omada_call_operation
{
  "operationId": "deleteIpMacBindingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "bindId": "<bindId>"
  }
}
Details, permissions and error codes

Delete IP-MAC binding template.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyIpMacBindingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds/{bindId}

Modify IP-MAC binding template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
bindIdpathstringyesIP MAC binding template ID

Request body — application/json (required) — schema IPMacBinding

FieldTypeRequiredDescription
descriptionstringnoDescription should contain 1 to 64 characters.
macstringyesMAC of the IP MAC binding entity.
ipstringyesIP of the IP MAC binding entity.
statusbooleanyesStatus of the IP MAC binding entity.
interfaceTypeintegeryesInterface type should be a value as follows: 0: WAN; 1: LAN interface.
interfaceIdstringyesInterface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface.
exportToDhcpReservationbooleannoWhether to export to the DhcpReservation table. This subsection is deprecated.
supportExportbooleannoWhether could export to the DhcpReservation table. This subsection is deprecated.
enableExportToDhcpReservationbooleannoWhether to enable export to the DhcpReservation table.
json
// omada_call_operation
{
  "operationId": "modifyIpMacBindingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "bindId": "<bindId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify IP-MAC binding template.
The interface requires one of the permissions:
Global Site Template Manager Modify

batchDeleteIpMacBindingsTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ip-mac-binds/batch-delete

Batch delete IP-MAC bindings template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema batchIds

FieldTypeRequiredDescription
idsarray<string>yesWhen selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed
selectTypestringnoSelectType all, include or exclude
searchKeystringnoFuzzy query parameters, support field: voucher code
json
// omada_call_operation
{
  "operationId": "batchDeleteIpMacBindingsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete IP-MAC bindings template.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.